org.apache.pdfbox.pdmodel

## Enum PageMode

- java.lang.Object
- - java.lang.Enum<PageMode>
  - - org.apache.pdfbox.pdmodel.PageMode

All Implemented Interfaces:
  Serializable, Comparable<PageMode>

    public enum PageMode
    extends Enum<PageMode>

A name object specifying how the document shall be displayed when opened.

Author:
  John Hewson

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FULL_SCREEN` Full screen mode with no menu bar, window controls.
`USE_ATTACHMENTS` Attachments panel is visible.
`USE_NONE` Neither the outline nor the thumbnails are displayed.
`USE_OPTIONAL_CONTENT` Optional content group panel is visible when opened.
`USE_OUTLINES` Show bookmarks when pdf is opened.
`USE_THUMBS` Show thumbnails when pdf is opened.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static PageMode` `fromString(String value)`
`String` `stringValue()` Returns the string value, as used in a PDF file.
`static PageMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PageMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### USE_NONE

    public static final PageMode USE_NONE

Neither the outline nor the thumbnails are displayed.

#### USE_OUTLINES

    public static final PageMode USE_OUTLINES

Show bookmarks when pdf is opened.

#### USE_THUMBS

    public static final PageMode USE_THUMBS

Show thumbnails when pdf is opened.

#### FULL_SCREEN

    public static final PageMode FULL_SCREEN

Full screen mode with no menu bar, window controls.

#### USE_OPTIONAL_CONTENT

    public static final PageMode USE_OPTIONAL_CONTENT

Optional content group panel is visible when opened.

#### USE_ATTACHMENTS

    public static final PageMode USE_ATTACHMENTS

Attachments panel is visible.

### Method Detail

#### values

    public static PageMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PageMode c : PageMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PageMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromString

    public static PageMode fromString(String value)

#### stringValue

    public String stringValue()

Returns the string value, as used in a PDF file.

Returns:
  the string value